---
Name: "terraform/map-ip-address"
Description: "Map Terraform Instance Name to DRP Machine.Address"
Documentation: |
  Provides the Terraform self.[name] reference that should be stored in the DRP Machine.Name field.

  Uses the `${self.[path]}` address space used from inside the Terraform resource so `self.` is required.

  This allows users to create machines using the Terraform Instance Name from a Terraform run

  Typical values:
    * aws: `self.public_ip`
    * azure: `self.public_ip_address`
    * google: `self.network_interface[0].access_config[0].nat_ip`
    * linode: `self.ip_address`
    * digitalocean: `self.ipv4_address`
    * pnap: `element(self.public_ip_addresses,0)`
    * proxmox: not applicable

  For `proxmox` instances, no IP Address is recorded in the Terraform state file.  This value
  can not be used for `proxmox` private cloud instances.

Schema:
  type: "string"
  default: "self.ip_address"
Meta:
  type: "value"
  icon: "map outline"
  color: "black"
  title: "Digital Rebar Community Content"
